%set %%domains = set()
%for %%domainname in %%nginx.remotes
 %set %%family = %%normalize_family(%%domainname)
 %set %%revprox = %%nginx['reverse_proxy_for_' + family]['reverse_proxy_' + family]
 %for %%domain in %%revprox['revprox_domainnames_' + family]
  %set %%domain = %%domain['revprox_url_' + family].split('/', 3)[2].split(':')[0]
%%domains.add(%%domain)%slurp
 %end for
%end for
%set %%domains = %%list(%%domains)
%%domains.sort()
%if %%domains
 %set %%domains_str = " ".join(%%domains)
[Service]
ExecStartPre=
ExecStartPre=/usr/bin/timeout 90 sh -c 'while ! /usr/bin/resolvectl query %%domains_str; do sleep 1; done'
ExecStartPre=/usr/bin/rm -f /run/nginx.pid
ExecStartPre=/usr/sbin/nginx -t
%end if
